tvdataservice

## Class MarkedProgramsList

- java.lang.Object
- - tvdataservice.MarkedProgramsList

- Deprecated.
  since 3.3.4 use `MarkedProgramsMap` instead.

      public class MarkedProgramsList
      extends java.lang.Object

  A class that contains all marked programs.
  Since:
    2.2
  Author:
    René Mach

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MarkedProgramsList` | `getInstance()` Deprecated. since 3.3.4 use `MarkedProgramsMap.getInstance()` instead.
    `Program[]` | `getMarkedPrograms()` Deprecated. since 3.3.4 use `MarkedProgramsMap.getMarkedPrograms()` instead.
    `Program[]` | `getTimeSortedProgramsForTray(ProgramFilter filter, int markPriority, int numberOfPrograms, boolean includeOnAirPrograms)` Deprecated. since 3.3.4 use `MarkedProgramsMap.getTimeSortedProgramsForTray(ProgramFilter, int, int, boolean)`
    `Program[]` | `getTimeSortedProgramsForTray(ProgramFilter filter, int markPriority, int numberOfPrograms, boolean includeOnAirPrograms, boolean useTrayFilterSettings, java.util.ArrayList<Program> excludePrograms)` Deprecated. since 3.3.4 use `MarkedProgramsMap.getTimeSortedProgramsForTray(ProgramFilter, int, int, boolean, boolean, ArrayList)` instead.
    `void` | `revalidatePrograms()` Deprecated. since 3.3.4 use `MarkedProgramsMap.revalidatePrograms()` instead.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static MarkedProgramsList getInstance()

      Deprecated. since 3.3.4 use `MarkedProgramsMap.getInstance()` instead.
      Returns:
        The instance of this class.

    - #### getMarkedPrograms

          public Program[] getMarkedPrograms()

      Deprecated. since 3.3.4 use `MarkedProgramsMap.getMarkedPrograms()` instead.
      Returns:
        The marked programs.

    - #### getTimeSortedProgramsForTray

          public Program[] getTimeSortedProgramsForTray(ProgramFilter filter,
                                               int markPriority,
                                               int numberOfPrograms,
                                               boolean includeOnAirPrograms)

      Deprecated. since 3.3.4 use `MarkedProgramsMap.getTimeSortedProgramsForTray(ProgramFilter, int, int, boolean)`
      Parameters:
        `filter` - The filter to use for program filtering
        `markPriority` - The minimum mark priority of programs to find.
        `numberOfPrograms` - The number of programs to show. Use a value of 0 or below for all important programs.
        `includeOnAirPrograms` - If the marked programs array should contain running programs.
      Returns:
        The time sorted programs for the tray.

    - #### getTimeSortedProgramsForTray

          public Program[] getTimeSortedProgramsForTray(ProgramFilter filter,
                                               int markPriority,
                                               int numberOfPrograms,
                                               boolean includeOnAirPrograms,
                                               boolean useTrayFilterSettings,
                                               java.util.ArrayList<Program> excludePrograms)

      Deprecated. since 3.3.4 use `MarkedProgramsMap.getTimeSortedProgramsForTray(ProgramFilter, int, int, boolean, boolean, ArrayList)` instead.
      Parameters:
        `filter` - The filter to use for program filtering
        `markPriority` - The minimum mark priority of programs to find.
        `numberOfPrograms` - The number of programs to show. Use a value of 0 or below for all important programs.
        `includeOnAirPrograms` - If the marked programs array should contain running programs.If the tray filter settings should be used for filtering.
        `useTrayFilterSettings` - If the tray filter settings should be used for filtering.
        `excludePrograms` -
      Returns:
        The time sorted programs for the tray.

    - #### revalidatePrograms

          public void revalidatePrograms()

      Deprecated. since 3.3.4 use `MarkedProgramsMap.revalidatePrograms()` instead.
      Does nothing anymore.

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)